#!/bin/bash
cd "$(dirname "$0")"
set -ex
docker run -it -v "$(pwd)":/app \
  -v /usr/local/bundle:/usr/local/bundle ruby:3.2 sh \
  -c "apt-get update; \
      apt-get install -y cmake build-essential; \
      cd /app; \
      gem install bundler:2.4.3; \
      bundle outdated; \
      bundle update; \
      bundle install;"
